%define name Floola-linux
%define version 2012.r1
%define release %mkrel 1

Summary: Floola linux is a iPod manager 
Name:	 %{name}
Version: %{version}
Release: %{release}
Source0: http://www.floola.com/Floola-linux.tar.xz
Source1: Floola.png
License: BSD/Freeware
Group:	Communications
URL:	http://www.floola.com
BuildRoot: %_tmppath/%{name}-%{version}-%{release}-buildroot
Requires:  libnotify1 gstreamer cups
Obsoletes: %{name} < %{version}



%description
Floola supports almost all features offered by iPods including photos, artwork, 
podcasts and smart playlists! It automatically converts any incompatible audio
or video file so that you can copy almost any file to it. It allows adding youtube 
and myspace videos with a single click. Now it even makes it possible to keep your
Google calendars synced! 

%prep
%setup -q -n %{name}

%install
rm -rf %{buildroot}
install -dm 755 %{buildroot}%{_libdir}/%{name}
install -m 755 Floola %{buildroot}%{_libdir}/%{name}
cp -af "Floola Libs" %{buildroot}%{_libdir}/%{name}

#icons
mkdir -p %buildroot{%_iconsdir,%_liconsdir,%_miconsdir}
install -m 0644 %{SOURCE1} %{buildroot}%_liconsdir/%{name}.png
install -m 0644 %{SOURCE1} %{buildroot}%_miconsdir/%{name}.png
convert %{buildroot}%_miconsdir/%{name}.png -resize 16x16 %{buildroot}%_miconsdir/%{name}.png 
install -m 0644 %{SOURCE1} %{buildroot}%_iconsdir/%{name}.png
convert %{buildroot}%_iconsdir/%{name}.png -resize 32x32 %{buildroot}%_iconsdir/%{name}.png 

# menu-entry
mkdir -p %buildroot%{_datadir}/applications
cat > %buildroot%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Floola
Comment=Floola iPod Manager
Exec=floola
Icon=Floola-linux
Terminal=false 
Type=Application
StartupNotify=true
Categories=AudioVideo;X-MandrivaLinux-Multimedia-Sound;
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
ln -fs /usr/lib/Floola-linux/Floola /usr/bin/floola
%{update_menus}

%postun
rm -f /usr/bin/floola
%{clean_menus}

%posttrans
ln -fs /usr/lib/Floola-linux/Floola /usr/bin/floola


%files
%defattr(-,root,root)
%doc Readme.txt
%{_libdir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png


%changelog
* Sat Sep 08 2012 Neal <nealbrks0 at gmail dot com> 2012.r1-1pclos2012
- process

* Thu Sep 06 2012 slick50 <lxgator0@gmail.com> 2012.r1-1pclos2012
- 2012.r1

* Mon Jul 12 2010 Texstar <texstar at gmail.com> 5.8-1pclos2010
- 5.8

* Tue Apr 06 2010 slick50 <lxgator0@gmail.com> 5.6-1pclos2010
- 5.6

* Thu Mar 11 2010 slick50 <lxgator0@gmail.com> 5.5-1pclos2010
- 5.5

* Sun Dec 27 2009 slick50 <lxgator0@gmail.com> 5.4-1pclos2010
- 5.4

* Fri Sep 25 2009 slick50 <lxgator0@gmail.com> 5.3.1-1pclos2009
- 5.3.1

* Thu Aug 20 2009 slick50 <lxgator0@gmail.com> 5.3-1pclos2009
- 5.3

* Sun May 24 2009 slick50 <lxgator0@gmail.com> 5.1-1pclos2009
- 5.1

* Fri Mar 22 2009 slick50 <lxgator0@gmail.com> 5.0-1pclos2007
- 5.0

* Fri Mar 13 2009 slick50 <lxgator0@gmail.com> 4.8-1pclos2007
- 4.9

* Wed Feb 25 2009 slick50 <lxgator0@gmail.com> 4.8-1pclos2007
- 4.8

* Wed Jan 28 2009 slick50 <lxgator0@gmail.com> 4.7-1pclos2007
- 4.7

* Mon Dec 01 2008 slick50 <lxgator0@gmail.com> 4.1-1pclos2007
- 4.1

* Sat Nov 15 2008 Slick50 <slick50@linuxgator.org> 3.9-1pclos2007
- 3.9

* Mon Nov 03 2008 Slick50 <slick50@linuxgator.org> 3.8-1pclos2007
- 3.8

* Mon Jul 28 2008 Slick50 <slick50@linuxgator.org> 3.2-1pclos2007
- 3.2

* Thu Jul 24 2008 Slick50 <slick50@linuxgator.org> 3.1-1pclos2007
- 3.1

* Mon Jun 16 2008 Slick50 <slick50@linuxgator.org> 3.0.b1-1pclos2007
- 3.0b1

* Fri May 30 2008 Slick50 <slick50@linuxgator.org> 2.9.5-1pclos2007
- Initial build for PCLinuxOS
- Fix Synaptic Group (texstar)
- Fix menu entry added X-MandrivaLinux-Multimedia-Sound (texstar)




